# Exceptor
<figure>
  <img alt="logo banner" src="https://github.com/j0fiN/pcmd/blob/main/docs/logo_banner.svg"/>
  <figcaption>A super simple terminal command shortener 🐟</figcaption>
</figure>

<p align="center">
<a href="https://github.com/j0fiN/pcmd/blob/main/LICENSE" target="_blank"><img alt="PyPI - License" src="https://img.shields.io/pypi/l/pcmd?color=cyan&logo=libreoffice"></a>
 <a href="https://pypi.org/project/pcmd/" target="_blank"><img alt="PyPI" src="https://img.shields.io/pypi/v/pcmd?color=cyan&logo=pypi&logoColor=white"></a>
 <a href="https://github.com/j0fiN/pcmd/actions" target="_blank"><img alt="GitHub Workflow Status" src="https://img.shields.io/github/workflow/status/j0fiN/pcmd/Python%20package?color=cyan&logo=github"></a>
 <a href="https://github.com/j0fiN/pcmd/actions" target="_blank"><img alt="Codecov" src="https://img.shields.io/codecov/c/github/j0fiN/pcmd?color=cyan&logo=codecov&logoColor=white"></a>
<a href="https://j0fin.github.io/pcmd/"><img alt="GitHub Workflow Status" src="https://img.shields.io/github/workflow/status/j0fiN/pcmd/ci?color=cyan&label=docs&logo=read-the-docs&logoColor=white"></a>

</p>

---

Source code : <a href="https://github.com/j0fiN/pcmd" class="link" target="_blank">https://github.com/j0fiN/pcmd</a>

Documentation : <a href="https://j0fin.github.io/pcmd/" class="link" target="_blank">https://j0fin.github.io/pcmd</a>

---

## About
During daily development, it can be frustrating,

- to type long commands when you start up the terminal for the day (or when your terminal shuts down due to unknown reasons!) or,
- to type a set of terminal commands repeatedly to do configuration, checks, and so on.

> For these problems...

***pcmd*** comes in handy :thumbsup:  
It's main features are

- It helps to execute commands with a user-define name :fish:  
- It helps to execute multiple commands with just a single user-defined name :octopus:  

A single config file :wrench: ...

... and your ready to go :rocket: !

Trust me, it is better than bash aliases!

![animation](https://github.com/j0fiN/pcmd/blob/main/docs/Animation.gif)

## Installation

Using pip  
``` bash
$ pip install pcmd

---> 100%
```

Using poetry
``` bash
$ poetry add pcmd

---> 100%
```
or download from the [releases](https://github.com/j0fiN/pcmd/releases/).

Ensure that you install the package **globally** in your 
machine to use it as a *universal CLI* for all your projects.

## Move on !
Excited to work using ***pcmd*** ?!
Head over to the <a href="https://j0fin.github.io/pcmd/" class="link">User Guide.</a>

---

<p align=center>Do throw a :star: if you like the package!</p>
